/* Copyright (C) Burr Settles, Department of Computer Sciences, UW-Madison.
This file is part of "AMIL" (Active Machine Learning Library).
http://pages.cs.wisc.edu/~bsettles/amil
This software is licensed under the terms of the GPL. For more information, 
see "LICENSE.html" included with this distribution. */

package amil.classify.active;

import amil.classify.*;
import amil.types.*;

/**
 * Abstract class for selecting queries in MI active learning.
 *
 * @author Burr Settles &lt;&gt;
 * @version $Rev$
 */
public abstract class QuerySelector {
	public abstract BagList select(Model model, BagList bags, int num);
}
